/******************************************* ADOBE CONFIDENTIAL NOTICE ***/
/*                                                                       */
/*                        ADOBE CONFIDENTIAL                             */
/*                        ------------------                             */
/*                                                                       */
/* Copyright 1997-2001, Adobe Systems Incorporated, All Rights Reserved. */
/*                                                                       */
/* NOTICE: All information contained herein is, and remains              */
/* the property of Adobe Systems Incorporated and its suppliers,         */
/* if any.  The intellectual and technical concepts contained            */
/* herein are proprietary to Adobe Systems Incorporated and its          */
/* suppliers and may be covered by U.S. and Foreign Patents, patents     */
/* in process, and are protected by trade secret or copyright law.       */
/* Dissemination of this information or reproduction of this material    */
/* is strictly forbidden unless prior written permission is obtained     */
/* from Adobe Systems Incorporated.                                      */
/*                                                                       */
/******************************************* ADOBE CONFIDENTIAL NOTICE ***/
// FdfAcX.idl : IDL source for FdfAcX.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (FdfAcX.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

	[
		object,
		uuid(CB830890-2E18-11D1-B8CF-00A0C9259304),
		dual,
		helpstring("IFdfApp Interface"),
		pointer_default(unique)
	]
	interface IFdfApp : IDispatch
	{
		[id(1), helpstring("method FDFGetVersion")] HRESULT FDFGetVersion([out, retval] BSTR* pbstrVersion);
		[id(2), helpstring("method FDFCreate")] HRESULT FDFCreate([out, retval] IDispatch** ppFDF);
		[id(3), helpstring("method FDFOpenFromFile")] HRESULT FDFOpenFromFile([in] BSTR bstrFileName, [out, retval] IDispatch** ppFDF);
		[id(4), helpstring("method FDFOpenFromBuf")] HRESULT FDFOpenFromBuf([in] VARIANT varFdfData, [out, retval] IDispatch** ppFDF);
		[id(5), helpstring("method FDFOpenFromStr")] HRESULT FDFOpenFromStr([in] BSTR bstrFdfData, [out, retval] IDispatch** ppFDF);
	};
	[
		object,
		uuid(CB830892-2E18-11D1-B8CF-00A0C9259304),
		dual,
		helpstring("IFdfDoc Interface"),
		pointer_default(unique)
	]
	interface IFdfDoc : IDispatch
	{
		[id(1), helpstring("method FDFClose")] HRESULT FDFClose();
		[id(2), helpstring("method FDFGetValue")] HRESULT FDFGetValue([in] BSTR bstrFieldName, [out, retval] BSTR* pbstrValue);
		[id(3), helpstring("method FDFSaveToFile")] HRESULT FDFSaveToFile([in] BSTR bstrFileName);
		[id(4), helpstring("method FDFSaveToBuf")] HRESULT FDFSaveToBuf([out, retval] VARIANT* pFdfData);
		[id(5), helpstring("method FDFNextFieldName")] HRESULT FDFNextFieldName([in] BSTR bstrFieldName, [out, retval] BSTR* pbstrNextField);
		[id(6), helpstring("method FDFSetValue")] HRESULT FDFSetValue([in] BSTR bstrFieldName, [in] BSTR bstrNewValue, [in] VARIANT_BOOL isName);
		[id(7), helpstring("method FDFGetStatus")] HRESULT FDFGetStatus([out, retval] BSTR* pbstrStatus);
		[id(8), helpstring("method FDFSetStatus")] HRESULT FDFSetStatus([in] BSTR bstrNewStatus);
		[id(9), helpstring("method FDFGetFile")] HRESULT FDFGetFile([out, retval] BSTR* pbstrFile);
		[id(10), helpstring("method FDFSetFile")] HRESULT FDFSetFile([in] BSTR bstrNewFile);
		[id(11), helpstring("method FDFGetID")] HRESULT FDFGetID([in] short nElemNum, [out, retval] BSTR* pbstrID);
		[id(12), helpstring("method FDFSetID")] HRESULT FDFSetID([in] short nElemNum, [in] BSTR bstrElem);
		[id(13), helpstring("method FDFGetOpt")] HRESULT FDFGetOpt([in] BSTR bstrFieldName, [in] short nElemNum, [in] VARIANT_BOOL bFirstString, [out, retval] BSTR* pbstrOpt);
		[id(14), helpstring("method FDFGetOptNumElem")] HRESULT FDFGetOptNumElem([in] BSTR bstrFieldName, [out, retval] short* pcElem);
		[id(15), helpstring("method FDFSetOpt")] HRESULT FDFSetOpt([in] BSTR bstrFieldName, [in] short nElemNum, [in] BSTR bstr1, [in] BSTR bstr2);
		[id(16), helpstring("method FDFGetFlags")] HRESULT FDFGetFlags([in] BSTR bstrFieldName, [in] short whichFlags, [out, retval] long* pFlags);
		[id(17), helpstring("method FDFSetFlags")] HRESULT FDFSetFlags([in] BSTR bstrFieldName, [in] short whichFlags, [in] long newFlags);
		[id(18), helpstring("method FDFSetAP")] HRESULT FDFSetAP([in] BSTR bstrFieldName, [in] short whichFace, [in] BSTR bstrFileName, [in] short pageNum);
		[id(19), helpstring("method FDFSetAS")] HRESULT FDFSetAS([in] BSTR bstrFieldName, [in] BSTR bstrNewAS);
		[id(20), helpstring("method FDFSetSubmitFormAction")] HRESULT FDFSetSubmitFormAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheURL, [in] long theFlags, [in, optional] VARIANT rgFields);
		[id(21), helpstring("method FDFSetResetFormAction")] HRESULT FDFSetResetFormAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] long theFlags, [in, optional] VARIANT rgFields);
		[id(22), helpstring("method FDFGetAP")] HRESULT FDFGetAP([in] BSTR bstrFieldName, [in] short whichFace, [in] BSTR bstrFileName);
		[id(23), helpstring("method FDFSetAPRef")] HRESULT FDFSetAPRef([in] BSTR bstrFieldName, [in] short whichFace, [in] BSTR bstrFileName, [in] BSTR bstrTemplateName);
		[id(24), helpstring("method FDFSetIF")] HRESULT FDFSetIF([in] BSTR bstrFieldName, [in] short scaleWhen, [in] VARIANT_BOOL bProportional, [in] float x, [in] float y);
		[id(25), helpstring("method FDFSetImportDataAction")] HRESULT FDFSetImportDataAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheFile);
		[id(26), helpstring("method FDFSetGoToAction")] HRESULT FDFSetGoToAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheDest, [in] VARIANT_BOOL isName);
		[id(27), helpstring("method FDFSetJavaScriptAction")] HRESULT FDFSetJavaScriptAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheScript);
		[id(28), helpstring("method FDFSetGoToRAction")] HRESULT FDFSetGoToRAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheDest, [in] VARIANT_BOOL isName, [in] BSTR bstrTheFile, [in] VARIANT_BOOL addNewWindow, [in] VARIANT_BOOL newWindow);
		[id(29), helpstring("method FDFSetURIAction")] HRESULT FDFSetURIAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheURI, [in] VARIANT_BOOL isMap);
		[id(30), helpstring("method FDFSetNamedAction")] HRESULT FDFSetNamedAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheName);
		[id(31), helpstring("method FDFSetHideAction")] HRESULT FDFSetHideAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheTarget, [in] VARIANT_BOOL isHide);
		[id(32), helpstring("method FDFSetStateAction")] HRESULT FDFSetStateAction([in] BSTR bstrFieldName, [in] short whichTrigger, [in] BSTR bstrTheTarget, [in] BSTR bstrTheAS);
		[id(34), helpstring("method FDFRemoveItem")] HRESULT FDFRemoveItem([in] BSTR bstrFieldName, [in] short whichItem);
		[id(35), helpstring("method FDFAddTemplate")] HRESULT FDFAddTemplate([in] VARIANT_BOOL bNewPage, [in] BSTR bstrFileName, [in] BSTR bstrTemplateName, [in] VARIANT_BOOL bRename);
		[id(36), helpstring("method FDFSaveToStr")] HRESULT FDFSaveToStr([out, retval] BSTR* pbstrFdfData);
		[id(37), helpstring("method FDFGetEncoding")] HRESULT FDFGetEncoding([out, retval] BSTR* pbstrEncoding);
		[id(38), helpstring("method FDFSetEncoding")] HRESULT FDFSetEncoding([in] BSTR bstrNewEncoding);
		[id(39), helpstring("method FDFGetFDFVersion")] HRESULT FDFGetFDFVersion([out, retval] BSTR* pbstrVersion);
		[id(40), helpstring("method FDFSetFDFVersion")] HRESULT FDFSetFDFVersion([in] BSTR bstrVersion);
		[id(41), helpstring("method FDFGetNthValue")] HRESULT FDFGetNthValue([in] BSTR bstrFieldName, [in] short whichValue, [out, retval] BSTR* pbstrValue);
		[id(42), helpstring("method FDFSetTargetFrame")] HRESULT FDFSetTargetFrame([in] BSTR bstrTargetFrame);
		[id(43), helpstring("method FDFAddDocJavaScript")] HRESULT FDFAddDocJavaScript([in] BSTR bstrScriptName, [in] BSTR bstrScript);
		[id(44), helpstring("method FDFSetOnImportJavaScript")] HRESULT FDFSetOnImportJavaScript([in] BSTR bstrScript, [in] VARIANT_BOOL bBefore);
		[id(45), helpstring("method FDFOpenFromEmbedded")] HRESULT FDFOpenFromEmbedded([in] short iEmbeddedFDF, [in] BSTR bstrPassword, [out, retval] IDispatch** ppFDF);
		[id(46), helpstring("method FDFEmbedAndClose")] HRESULT FDFEmbedAndClose([in] IFdfDoc* pFDFToEmbed, [in] BSTR bstrPassword);
		[id(47), helpstring("method FDFExtractAttachment")] HRESULT FDFExtractAttachment([in] BSTR bstrFieldName, [in, out] BSTR* pbstrFileName, [in] VARIANT_BOOL bIsFilePath, [out, retval] BSTR* pbstrMimeType);
		[id(48), helpstring("method FDFExtractAppendSaves")] HRESULT FDFExtractAppendSaves([in] BSTR bstrDestFileName);
		[id(49), helpstring("method FDFSetValues")] HRESULT FDFSetValues([in] BSTR bstrFieldName, [in] VARIANT arrValues);
		[id(50), helpstring("method FDFGetRichValue")] HRESULT FDFGetRichValue([in] BSTR bstrFieldName, [out, retval] BSTR* pbstrValue);
		[id(51), helpstring("method FDFSetRichValue")] HRESULT FDFSetRichValue([in] BSTR bstrFieldName, [in] BSTR bstrNewValue, [in] VARIANT_BOOL isName);
	};
[
	uuid(CB830883-2E18-11D1-B8CF-00A0C9259304),
	version(1.0),
	helpstring("FdfAcX 1.0 Type Library")
]
library FDFACXLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(CB830891-2E18-11D1-B8CF-00A0C9259304),
		helpstring("FdfApp Class")
	]
	coclass FdfApp
	{
		[default] interface IFdfApp;
	};
	[
		uuid(CB830893-2E18-11D1-B8CF-00A0C9259304),
		helpstring("FdfDoc Class")
	]
	coclass FdfDoc
	{
		[default] interface IFdfDoc;
	};
};
